/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

import { Extensions } from "../../models";
export const extensions: Extensions = {
    common: {
        help: {
            docSiteLink: "Aller à la documentation",
            helpCenterLink: "Contactez le support"
        }
    },
    console: {
        application: {
            quickStart: {
                technologySelectionWrapper: {
                    subHeading: "Vous pouvez trouver les détails du point de terminaison du serveur dans la " +
                        "<1>section Info</1> pour configurer votre application."
                },
                addUserOption:{
                    description: "Vous avez besoin d'un compte <1>utilisateur client</1> pour vous connecter " +
                        "à l'application.",
                    hint: "Si vous n'avez pas de compte utilisateur client, cliquez sur le bouton ci-dessous pour en " +
                        "ajouter un. Vous pouvez également ajouter manuellement un utilisateur client en accédant à " +
                        "la <1>gestion des utilisateurs</1>.",
                    message: "Si vous n'avez pas encore de compte d'utilisateur client, contactez l'administrateur " +
                        "de votre organisation."
                }
            }
        }
    },
    develop: {
        applications: {
            edit: {
                sections: {
                    signInMethod: {
                        sections: {
                            authenticationFlow: {
                                sections: {
                                    stepBased: {
                                        secondFactorDisabled: "Les authentificateurs de deuxième facteur ne peuvent " +
                                            "être utilisés que si <1>Nom d'utilisateur et mot de passe</1> sont " +
                                            "présents dans une étape précédente"
                                    }
                                }
                            }
                        }
                    }
                }
            }
        },
        identityProviders: {
            facebook: {
                quickStart: {
                    addLoginModal: {
                        heading: "Ajouter une connexion Facebook",
                        subHeading: "Sélectionnez une application pour configurer la connexion Facebook."
                    },
                    connectApp: {
                        description: "Ajouter l'authentificateur <1>Facebook</1> à l'<3>Étape 1</3> de la <5>" +
                            "Méthode de connexion</5> section de votre <7>candidature</7>."
                    },
                    heading: "Ajouter une connexion Facebook",
                    subHeading: "Le fournisseur d'identité Facebook est maintenant prêt à être utilisé comme " +
                        "option de connexion pour votre applications."
                }
            },
            github: {
                quickStart: {
                    addLoginModal: {
                        heading: "Ajouter une connexion GitHub",
                        subHeading: "Sélectionnez une application pour configurer la connexion GitHub."
                    },
                    connectApp: {
                        description: "Ajouter l'authentificateur <1>GitHub</1> à l'<3>Étape 1</3> de la <5>" +
                            "Méthode de connexion</5> section de votre <7>candidature</7>."
                    },
                    heading: "Ajouter une connexion GitHub",
                    subHeading: "Le fournisseur d'identité GitHub est maintenant prêt à être utilisé comme " +
                        "option de connexion pour votre applications."
                }
            },
            google: {
                quickStart: {
                    addLoginModal: {
                        heading: "Ajouter une connexion Google",
                        subHeading: "Sélectionnez une application pour configurer la connexion Google."
                    },
                    connectApp: {
                        description: "Ajouter l'authentificateur <1>Google</1> à l'<3>Étape 1</3> de la <5>" +
                            "Méthode de connexion</5> section de votre <7>candidature</7>."
                    },
                    heading: "Ajouter une connexion Google",
                    subHeading: "Le fournisseur d'identité Google est maintenant prêt à être utilisé comme " +
                        "option de connexion pour votre applications."
                }
            }
        }
    },
    manage: {
        attributes: {
            attributes: {
                description: "Afficher et gérer les attributs"
            },
            displayNameHint: "Le nom d'affichage sera utilisé dans le profil de l'utilisateur pour reconnaître " 
                +"l'attribut, donc soyez prudent lors de sa sélection.",
            generatedAttributeMapping: {
                title: "Mappages de protocoles",
                OIDCProtocol: "OpenID Connect",
                SCIMProtocol: "SCIM 2.0",
                description: "Nous simplifions le processus pour vous et ajoutons les mappages requis pour " 
                    +"les protocoles suivants."
            }
        },
        features: {
            tenant: {
                header: {
                    tenantSwitchHeader: "Changer d'organisation",
                    tenantAddHeader: "Nouvelle organisation",
                    tenantDefaultButton: "Défaut",
                    tenantMakeDefaultButton: "Faire défaut",
                    backButton: "Retourner",
                    tenantSearch: {
                        placeholder: "Rechercher une organisation",
                        emptyResultMessage: "Aucune organisation trouvée"
                    }
                },
                wizards: {
                    addTenant: {
                        heading: "Ajouter une nouvelle organisation",
                        forms: {
                            fields: {
                                tenantName: {
                                    label: "Nom de l'organisation",
                                    placeholder: "Nom de l'organisation (E.g., myorg)",
                                    validations: {
                                        empty: "Ceci est un champ obligatoire.",
                                        duplicate:
                                            "Une organisation portant le nom {{ tenantName }} existe déjà." +
                                            " Veuillez essayer un autre nom.",
                                        invalid:
                                            "Le nom que vous avez entré contient des caractères non autorisés." +
                                            " Il peut contenir jusqu'à {{ characterLimit }} caractères, ne peut être" +
                                            " composé que de minuscules alphanumériques et doit toujours commencer" +
                                            " par un caractère alphabétique.",
                                        invalidLength: "Le nom que vous avez entré comporte moins de" +
                                            " {{ characterLowerLimit }} caractères. Il peut contenir jusqu'à" +
                                            " {{ characterLimit }} caractères, ne peut être composé que de lettres" +
                                            " alphanumériques minuscules et doit toujours commencer par un" +
                                            " caractère alphabétique."
                                    }
                                }
                            },
                            loaderMessages: {
                                duplicateCheck: "Validation du nouveau nom de l'organisation...",
                                tenantCreate: "Créer la nouvelle organisation...",
                                tenantSwitch:
                                    "Veuillez patienter pendant que nous vous redirigeons vers la nouvelle" +
                                    "organisation..."
                            },
                            messages: {
                                info:
                                    "Pensez à un bon nom d'organisation unique pour votre nouvel espace de travail" +
                                    " Asgardeo car vous ne pourrez pas le modifier plus tard!"
                            }
                        },
                        tooltips: {
                            message: "Vous utiliserez cette URL pour accéder à la nouvelle organisation."
                        }
                    }
                },
                notifications: {
                    addTenant: {
                        error: {
                            description: "{{ description }}",
                            message: "Erreur lors de la création de l'organisation"
                        },
                        genericError: {
                            description: "Une erreur s'est produite lors de la création de l'organisation.",
                            message: "Erreur lors de la création de l'organisation"
                        },
                        limitReachError: {
                            description: "Le nombre maximum d'organisations autorisées a été atteint.",
                            message: "Erreur lors de la création de l'organisation"
                        },
                        success: {
                            description: "Organisation {{ tenantName }} créée avec succès.",
                            message: "Organisation créée"
                        }
                    },
                    defaultTenant: {
                        genericError: {
                            description:
                                "Une erreur s'est produite lors de la mise à jour de votre organisation par défaut.",
                            message: "Erreur lors de la mise à jour de l'organisation"
                        },
                        success: {
                            description: "Vous avez bien défini {{ tenantName }} votre organisation par défaut.",
                            message: "Organisation par défaut mise à jour"
                        }
                    },
                    missingClaims: {
                        message: "Certaines informations personnelles sont manquantes",
                        description:
                            "Veuillez visiter l'application MyAccount et assurez-vous que votre prénom," +
                            " nomet adresse e-mail principale ont été définis dans la section Informations personnelles."
                    },
                    getTenants: {
                        message: "Impossible de récupérer vos organisations",
                        description: "Une erreur s'est produite lors de la récupération de vos organisations."
                    }
                }
            }
        },
        groups: {
            edit: {
                users: {
                    heading: "Utilisateurs du groupe",
                    description: "Ajoutez ou supprimez des utilisateurs appartenant à ce groupe."
                }
            }
        },
        serverConfigurations: {
            accountManagement: {
                accountRecovery: {
                    heading: "Récupération de mot de passe",
                    subHeading:
                        "Configurez les paramètres de récupération de mot de passe en libre-service " +
                        "pour permettre aux utilisateurs de réinitialiser leur mot de passe à l'aide d'un e-mail.",
                    toggleName: "Activer la récupération du mot de passe"
                }
            },
            additionalSettings: "Paramètres additionnels",
            userOnboarding: {
                selfRegistration: {
                    backButton: "Retournez à {{name}}",
                    backButtonAlternative: "Retourner",
                    form: {
                        fields: {
                            expiryTime: {
                                label: "Délai d'expiration du lien de vérification"
                            },
                            signUpConfirmation: {
                                label: "Envoyer un e-mail de confirmation d'inscription",
                                hint: "Une fois l'utilisateur enregistré, une demande de confirmation de compte est " +
                                    "envoyée à l'utilisateur par e-mail. Le nouveau compte n'est activé qu'après " +
                                    "confirmation de l'utilisateur."
                            },
                            enable: {
                                label: "Activer",
                                hint: "Autoriser les utilisateurs particuliers à s'inscrire eux-mêmes pour cette " +
                                    "organisation. Lorsqu'il est activé, les utilisateurs verront un lien pour créer " +
                                    "un compte sur l'écran de connexion."
                            }
                        }
                    }
                }
            }
        },
        users: {
            editUserProfile: {
                disclaimerMessage: "Ce profil utilisateur appartient à un collaborateur ou à un propriétaire" +
                    " d'organisation. Seul le propriétaire du compte peut gérer le profil via l'application Compte."
            },
            list: {
                columns: {
                    user: "utilisateur",
                    accountType: "Type de compte",
                    source: "la source"
                },
                popups: {
                    content: {
                        AccountTypeContent: "Relation de l'utilisateur avec cette organisation.",
                        sourceContent: "Où l'utilisateur est géré."
                    }
                }
            },
            notifications: {
                addUser: {
                    customerUser: {
                        limitReachError: {
                            description: "Le nombre maximum d'utilisateurs clients autorisés a été atteint.",
                            message: "Erreur lors de l'ajout du nouvel utilisateur"
                        }
                    }
                }
            }
        },
        invite: {
            notifications: {
                sendInvite: {
                    limitReachError: {
                        description: "Le nombre maximal d'utilisateurs collaborateurs autorisés a été atteint.",
                        message: "Erreur lors de l'envoi de l'invitation"
                    }
                }
            }
        }
    }
};
